## com.bbn.openmap.tools.icon
Class IconPartCollectionEntry

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry

Direct Known Subclasses:
  IconPartCollection, OpenMapAppPartCollection.OpenMapAppPart

public class IconPartCollectionEntry
extends java.lang.Object

An entry into an IconPartCollection, providing an IconPart with a name and description.

Field Summary
`protected java.lang.String` `description`
`protected java.lang.String` `name`
`protected IconPart` `part`

Constructor Summary
`protected` `IconPartCollectionEntry()`
`` `IconPartCollectionEntry(java.lang.String name, java.lang.String description, IconPart part)`

Method Summary
`java.lang.String` `getDescription()`
`IconPart` `getIconPart()`
`java.lang.String` `getName()`
`void` `setDescription(java.lang.String description)`
`void` `setIconPart(IconPart part)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### part

    protected IconPart part

### name

    protected java.lang.String name

### description

    protected java.lang.String description

Constructor Detail

### IconPartCollectionEntry

    protected IconPartCollectionEntry()

### IconPartCollectionEntry

    public IconPartCollectionEntry(java.lang.String name,
                                   java.lang.String description,
                                   IconPart part)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setIconPart

    public void setIconPart(IconPart part)

### getIconPart

    public IconPart getIconPart()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details